"""Added notifications

Revision ID: bbeb9365b195
Revises: 9232980a793a
Create Date: 2020-06-20 23:26:09.349131

"""
import sqlalchemy as sa

from alembic import op

# revision identifiers, used by Alembic.
revision = "bbeb9365b195"
down_revision = "9232980a793a"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "notifications",
        sa.Column("id", sa.Integer(), nullable=False),
        sa.Column("user_id", sa.Integer(), nullable=True),
        sa.Column("name", sa.String(length=1000), nullable=True),
        sa.Column("provider", sa.String(length=10000), nullable=True),
        sa.Column("data", sa.JSON(), nullable=True),
        sa.ForeignKeyConstraint(["user_id"], ["users.id"], ondelete="SET NULL"),
        sa.PrimaryKeyConstraint("id"),
    )
    op.create_index(op.f("ix_notifications_id"), "notifications", ["id"], unique=False)
    op.create_index(op.f("ix_notifications_name"), "notifications", ["name"], unique=False)
    op.create_table(
        "notificationsxstores",
        sa.Column("notification_id", sa.Integer(), nullable=True),
        sa.Column("store_id", sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(["notification_id"], ["notifications.id"], ondelete="SET NULL"),
        sa.ForeignKeyConstraint(["store_id"], ["stores.id"], ondelete="SET NULL"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("notificationsxstores")
    op.drop_index(op.f("ix_notifications_name"), table_name="notifications")
    op.drop_index(op.f("ix_notifications_id"), table_name="notifications")
    op.drop_table("notifications")
    # ### end Alembic commands ###
